# Uses of Class
org.apache.commons.codec.language.bm.Rule.Phoneme

Packages that use Rule.Phoneme
Package
Description
org.apache.commons.codec.language.bm
Implementation details of the Beider-Morse codec.

- ## Uses of Rule.Phoneme in org.apache.commons.codec.language.bm

  Fields in org.apache.commons.codec.language.bm with type parameters of type Rule.Phoneme
  Modifier and Type
  Field
  Description
  `static final Comparator<Rule.Phoneme>`
  Rule.Phoneme.`COMPARATOR`
  The Phoneme Comparator.
  Methods in org.apache.commons.codec.language.bm that return Rule.Phoneme
  Modifier and Type
  Method
  Description
  `Rule.Phoneme`
  Rule.Phoneme.`append(CharSequence sequence)`
  Appends the sequence to the phone text.
  `Rule.Phoneme`
  Rule.Phoneme.`join(Rule.Phoneme right)`
  Deprecated.
  since 1.9
  `Rule.Phoneme`
  Rule.Phoneme.`mergeWithLanguage(Languages.LanguageSet lang)`
  Returns a new Phoneme with the same text but a union of its current language set and the given one.
  Methods in org.apache.commons.codec.language.bm that return types with arguments of type Rule.Phoneme
  Modifier and Type
  Method
  Description
  `Iterable<Rule.Phoneme>`
  Rule.Phoneme.`getPhonemes()`
  `Iterable<Rule.Phoneme>`
  Rule.PhonemeExpr.`getPhonemes()`
  Gets an iteration of phonemes.
  `List<Rule.Phoneme>`
  Rule.PhonemeList.`getPhonemes()`
  Methods in org.apache.commons.codec.language.bm with parameters of type Rule.Phoneme
  Modifier and Type
  Method
  Description
  `Rule.Phoneme`
  Rule.Phoneme.`join(Rule.Phoneme right)`
  Deprecated.
  since 1.9
  Constructors in org.apache.commons.codec.language.bm with parameters of type Rule.Phoneme
  Modifier
  Constructor
  Description
  ``
  `Phoneme(Rule.Phoneme phonemeLeft, Rule.Phoneme phonemeRight)`
  Constructs a new instance.
  ``
  `Phoneme(Rule.Phoneme phonemeLeft, Rule.Phoneme phonemeRight, Languages.LanguageSet languages)`
  Constructs a new instance.
  Constructor parameters in org.apache.commons.codec.language.bm with type arguments of type Rule.Phoneme
  Modifier
  Constructor
  Description
  ``
  `PhonemeList(List<Rule.Phoneme> phonemes)`
  Constructs a new instance.